Probl=c3=a8me avec apt-get.

Le
Dominique
Bonjour
Ubuntu 16.04

J'ai un problème. J'ai voulu installer ffdiaporaa
(http://ffdiaporama.tuxfamily.org/?page_id472)

J'ai suivi cette page en installant les dépôts et en installant les 3
paquets.

ffdiaporama a en partie échoué dans le sens où l'installation s'est
faite mais je n'ai jamais trouvé l'application avec whereis ni en
ligne de commande !

J'ai voulu installer le paquet opencliparts. Il s'est installé mais il
m'a fichu la pagaille dans mes paquetages.

J'ai ce message d'erreur dans Synaptic :

E: Le paquet ffdiaporama-openclipart doit être réinstallé, mais il est
impossible de trouver son archive.
E: Erreur interne en recalculant le cache des dépendances (1). Veuillez
envoyer un rapport d'anomalie.

Synapatic refuse de m'en dire plus et me sort après avoir validé ce
message. J'ai alors voulu réinstaller ce paquetage et j'ai ce même
message avec apt-get :

sudo apt-get install ffdiaporama-openclipart
[sudo] Mot de passe de ubuntu :
Lecture des listes de paquets Fait
Construction de l'arbre des dépendances
Lecture des informations d'état Fait
E: Le paquet ffdiaporama-openclipart doit être réinstallé, mais il est
impossible de trouver son archive.

Idem avec sudo apt-get -f install

Même punition avec dpkg -r :

sudo dpkg -r ffdiaporama-openclipart
dpkg: erreur de traitement du paquet ffdiaporama-openclipart (--remove) :
Le paquet est dans un état incohérent; vous devriez
le réinstaller avant d'essayer de le supprimer.
Des erreurs ont été rencontrées pendant l'exécution :
ffdiaporama-openclipart

Au final, je ne peux pas enlever ce paquet et je ne peux pas plus le
réinstaller. Synaptic est planté. Avez-vous une idée de la façon dont je
pourrais m'y prendre pour remettre de l'ordre ?

Je vous remercie et vous souhaite une agréable journée,


--
Dominique
Courriel : dominique point sextant ate orange en France
Esto quod es
Vos réponses Page 4 / 4
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Doug713705
Le #26432610
Le 18-04-2017, pehache nous expliquait dans
fr.comp.os.linux.configuration
(
Le 18/04/2017 à 00:07, Nicolas George a écrit :
Francois Lafont , dans le message
C'est pour ça qu'au final, perso parfois je trouve qu'un dépôt tiers
qui t'installe un package « all-in-one » dans /opt/

Dans ce cas, on ne distribue pas un package, et encore moins via un
dépôt.

Il me semble que le dépôt Skype installe un binaire compilé en statique,
donc sans aucune dépendance. Ce qui résout le problème initial.

Et il me semble que skype à besoin de PulseAudio (voire de sa version 32bits)
pour fonctionner. Sans PulseAudio, Skype s'installe, se lance mais pas de son !
--
Je ne connaîtrai rien de tes habitudes
Il se peut même que tu sois décédée
Mais j'demanderai ta main pour la couper
-- H.F. Thiéfaine, L'ascenceur de 22H43
Publicité
Poster une réponse
Anonyme